Bug 2278989 (CVE-2024-21823) - CVE-2024-21823 kernel: dmaengine/idxd: hardware erratum allows potential security problem with direct access by untrusted application
Summary: CVE-2024-21823 kernel: dmaengine/idxd: hardware erratum allows potential secu...
Keywords:
Status: NEW
Alias: CVE-2024-21823
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2280396
Blocks: 2278990
TreeView+ depends on / blocked
 
Reported: 2024-05-03 20:44 UTC by Robb Gatica
Modified: 2024-06-25 08:31 UTC (History)
53 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2024-05-03 20:44:12 UTC
On Sapphire Rapids and related platforms, the DSA and IAA devices have an erratum (INTEL-SA-01084) that causes direct access (for example, by using the ENQCMD or MOVDIR64 instructions) from untrusted applications to be a security problem.

Comment 12 Josh Poimboeuf 2024-05-14 19:18:30 UTC
The fix went public today in Linus' tree with the following commits:


95feb3160eef ("VFIO: Add the SPR_DSA and SPR_IAX devices to the denylist")
e11452eb071b ("dmaengine: idxd: add a new security check to deal with a hardware erratum")
6827738dc684 ("dmaengine: idxd: add a write() method for applications to submit work")

Comment 13 Keith Grant 2024-05-14 20:28:19 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2280396]


Note You need to log in before you can comment on or make changes to this bug.